>From f2f504a1e12647fada4581efff1ade1792614b6e Mon Sep 17 00:00:00 2001
From: Matthew Harmsen <mharmsen@redhat.com>
Date: Tue, 9 Sep 2014 16:59:32 -0700
Subject: [PATCH] Remove IPA theme component and old unused UI directories

- PKI TRAC Ticket #1136 - Remove ipa-pki-theme component
- Remove 'ca-ui', 'kra-ui', 'ocsp-ui', 'ra-ui', 'tks-ui', and 'tps-ui' directories
- Consolidate 'pki-core' packages
---
 CMakeLists.txt                            |  19 +-
 dogtag/CMakeLists.txt                     |   3 -
 dogtag/ca-ui/CMakeLists.txt               |   8 -
 dogtag/ca-ui/LICENSE                      | 291 ------------------------------
 dogtag/kra-ui/CMakeLists.txt              |   8 -
 dogtag/kra-ui/LICENSE                     | 291 ------------------------------
 dogtag/kra-ui/build.xml                   | 273 ----------------------------
 dogtag/kra-ui/build_dogtag                |  82 ---------
 dogtag/kra-ui/dogtag-pki-kra-ui.spec      |  61 -------
 dogtag/ocsp-ui/CMakeLists.txt             |   8 -
 dogtag/ocsp-ui/LICENSE                    | 291 ------------------------------
 dogtag/ocsp-ui/build.xml                  | 273 ----------------------------
 dogtag/ocsp-ui/build_dogtag               |  82 ---------
 dogtag/ocsp-ui/dogtag-pki-ocsp-ui.spec    |  62 -------
 dogtag/ra-ui/CMakeLists.txt               |   8 -
 dogtag/ra-ui/LICENSE                      | 291 ------------------------------
 dogtag/ra-ui/build.xml                    | 273 ----------------------------
 dogtag/ra-ui/build_dogtag                 |  82 ---------
 dogtag/ra-ui/dogtag-pki-ra-ui.spec        |  61 -------
 dogtag/tks-ui/CMakeLists.txt              |   8 -
 dogtag/tks-ui/LICENSE                     | 291 ------------------------------
 dogtag/tks-ui/build.xml                   | 273 ----------------------------
 dogtag/tks-ui/build_dogtag                |  82 ---------
 dogtag/tks-ui/dogtag-pki-tks-ui.spec      |  61 -------
 dogtag/tps-ui/CMakeLists.txt              |   8 -
 dogtag/tps-ui/LICENSE                     | 291 ------------------------------
 dogtag/tps-ui/build.xml                   | 285 -----------------------------
 dogtag/tps-ui/build_dogtag                |  82 ---------
 dogtag/tps-ui/dogtag-pki-tps-ui.spec      |  65 -------
 scripts/compose_dogtag_pki_theme_packages |   2 +-
 scripts/compose_ipa_pki_theme_packages    | 222 -----------------------
 scripts/create_pki_yum_repos              |   2 +-
 scripts/pki_patch_maker                   |   8 +-
 specs/dogtag-pki-theme.spec               |  66 ++-----
 specs/dogtag-pki.spec                     |  45 ++---
 specs/ipa-pki-theme.spec                  | 203 ---------------------
 36 files changed, 41 insertions(+), 4420 deletions(-)
 delete mode 100644 dogtag/ca-ui/CMakeLists.txt
 delete mode 100644 dogtag/ca-ui/LICENSE
 delete mode 100644 dogtag/kra-ui/CMakeLists.txt
 delete mode 100644 dogtag/kra-ui/LICENSE
 delete mode 100644 dogtag/kra-ui/build.xml
 delete mode 100755 dogtag/kra-ui/build_dogtag
 delete mode 100644 dogtag/kra-ui/dogtag-pki-kra-ui.spec
 delete mode 100644 dogtag/ocsp-ui/CMakeLists.txt
 delete mode 100644 dogtag/ocsp-ui/LICENSE
 delete mode 100644 dogtag/ocsp-ui/build.xml
 delete mode 100755 dogtag/ocsp-ui/build_dogtag
 delete mode 100644 dogtag/ocsp-ui/dogtag-pki-ocsp-ui.spec
 delete mode 100644 dogtag/ra-ui/CMakeLists.txt
 delete mode 100644 dogtag/ra-ui/LICENSE
 delete mode 100644 dogtag/ra-ui/build.xml
 delete mode 100755 dogtag/ra-ui/build_dogtag
 delete mode 100644 dogtag/ra-ui/dogtag-pki-ra-ui.spec
 delete mode 100644 dogtag/tks-ui/CMakeLists.txt
 delete mode 100644 dogtag/tks-ui/LICENSE
 delete mode 100644 dogtag/tks-ui/build.xml
 delete mode 100755 dogtag/tks-ui/build_dogtag
 delete mode 100644 dogtag/tks-ui/dogtag-pki-tks-ui.spec
 delete mode 100644 dogtag/tps-ui/CMakeLists.txt
 delete mode 100644 dogtag/tps-ui/LICENSE
 delete mode 100644 dogtag/tps-ui/build.xml
 delete mode 100755 dogtag/tps-ui/build_dogtag
 delete mode 100644 dogtag/tps-ui/dogtag-pki-tps-ui.spec
 delete mode 100755 scripts/compose_ipa_pki_theme_packages
 delete mode 100644 specs/ipa-pki-theme.spec

diff --git a/CMakeLists.txt b/CMakeLists.txt
index a0862c4..1b04500 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -17,9 +17,7 @@ string(REGEX REPLACE "^[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" APPLICATION_VERSION_P
 option(WITH_JAVADOC "Build Javadoc" ON)
 option(WITH_SERVER "Build Server" ON)
 
-if (BUILD_IPA_PKI_THEME)
-    set(APPLICATION_FLAVOR_IPA_PKI_THEME TRUE)
-elseif (BUILD_DOGTAG_PKI_THEME)
+if (BUILD_DOGTAG_PKI_THEME)
     set(APPLICATION_FLAVOR_DOGTAG_PKI_THEME TRUE)
 elseif (BUILD_REDHAT_PKI_THEME)
     set(APPLICATION_FLAVOR_REDHAT_PKI_THEME TRUE)
@@ -56,18 +54,15 @@ include(Java)
 file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/classes)
 file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/dist)
 
-# required for all PKI components EXCEPT IPA_PKI_THEME
-if (NOT APPLICATION_FLAVOR_IPA_PKI_THEME)
-    include(JUnit)
+# required for all PKI components
+include(JUnit)
 
-    add_custom_target(test)
-endif ()
+add_custom_target(test)
 
 # search for libraries
 
 # required for all PKI components EXCEPT Theme-based components and PKI_MIGRATE
-if (NOT APPLICATION_FLAVOR_IPA_PKI_THEME      AND
-    NOT APPLICATION_FLAVOR_DOGTAG_PKI_THEME   AND
+if (NOT APPLICATION_FLAVOR_DOGTAG_PKI_THEME   AND
     NOT APPLICATION_FLAVOR_REDHAT_PKI_THEME   AND
     NOT APPLICATION_FLAVOR_PKI_MIGRATE)
     find_package(NSPR REQUIRED)
@@ -152,9 +147,7 @@ if (APPLICATION_FLAVOR_PKI_CORE      OR
 endif ()
 
 # 'Themes' MUST be "mutually-exclusive"!
-if (APPLICATION_FLAVOR_IPA_PKI_THEME)
-    add_subdirectory(dogtag)
-elseif (APPLICATION_FLAVOR_DOGTAG_PKI_THEME)
+if (APPLICATION_FLAVOR_DOGTAG_PKI_THEME)
     add_subdirectory(dogtag)
 elseif (APPLICATION_FLAVOR_REDHAT_PKI_THEME)
     add_subdirectory(redhat)
diff --git a/dogtag/CMakeLists.txt b/dogtag/CMakeLists.txt
index 2561495..83558f9 100644
--- a/dogtag/CMakeLists.txt
+++ b/dogtag/CMakeLists.txt
@@ -1,8 +1,5 @@
 project(dogtag)
 
-if (APPLICATION_FLAVOR_IPA_PKI_THEME)
-    add_subdirectory(common-ui)
-endif (APPLICATION_FLAVOR_IPA_PKI_THEME)
 if (APPLICATION_FLAVOR_DOGTAG_PKI_THEME)
     add_subdirectory(common-ui)
     add_subdirectory(console-ui)
diff --git a/scripts/compose_dogtag_pki_theme_packages b/scripts/compose_dogtag_pki_theme_packages
index 57a9e72..0a736b7 100755
--- a/scripts/compose_dogtag_pki_theme_packages
+++ b/scripts/compose_dogtag_pki_theme_packages
@@ -39,7 +39,7 @@ DOGTAG_PKI_THEME_VERSION="10.2.0"
 ##
 
 PKI_SPECS_FILE="${PKI_DIR}/specs/${DOGTAG_PKI_THEME}.spec"
-PKI_COMPONENT_LIST="test common-ui ra-ui tps-ui console-ui"
+PKI_COMPONENT_LIST="common-ui console-ui"
 
 
 ##
diff --git a/scripts/create_pki_yum_repos b/scripts/create_pki_yum_repos
index b900e18..ff09ac5 100755
--- a/scripts/create_pki_yum_repos
+++ b/scripts/create_pki_yum_repos
@@ -17,7 +17,7 @@ cd `dirname $0`/../..
 PKI_PWD=`pwd`
 
 # Establish a list of 'packages' directories
-PKI_PACKAGE_DIRS_LIST="packages packages.dogtag_theme packages.ipa_theme packages.core packages.kra packages.ocsp packages.ra packages.tks packages.tps packages.console"
+PKI_PACKAGE_DIRS_LIST="packages packages.dogtag_theme packages.core packages.kra packages.ocsp packages.ra packages.tks packages.tps packages.console"
 
 # This script is only executable from the directory
 # containing at the "./pki" directory!
diff --git a/scripts/pki_patch_maker b/scripts/pki_patch_maker
index 6983410..dcd5b5e 100755
--- a/scripts/pki_patch_maker
+++ b/scripts/pki_patch_maker
@@ -21,13 +21,12 @@ Usage()
 	printf "            <startrev> is the starting SVN revision\n\n"
 	printf "            <endrev> is the ending SVN revision\n\n"
 	printf "            <srpm> is one of the following:\n\n"
-	printf "                 ipa-pki-theme\n"
 	printf "                 pki-core\n\n"
 	printf "            <basever> is the version of the specified <srpm>\n"
 	printf "\n"
 	printf "IMPORTANT:  Successful use of this script relies upon separation\n"
-	printf "            of 'pki-core' and 'ipa-pki-theme' check-ins.  All\n"
-	printf "            patch files automatically produced by this script\n"
+	printf "            of 'pki-core' check-ins.  All patch files\n"
+	printf "            automatically produced by this script\n"
 	printf "            should be applied and tested thoroughly before\n"
 	printf "            being accepted as proper patches.\n\n"
 }
@@ -36,7 +35,6 @@ Usage()
 ##
 ## Identify source associated with srpm
 ##
-IPA_PKI_THEME="dogtag/ca-ui dogtag/common-ui"
 PKI_CORE="base/ca base/common base/java-tools base/native-tools base/selinux base/setup base/symkey base/util"
 
 
@@ -57,8 +55,6 @@ basever=$4
 
 if [ ${srpm} == "pki-core" ]; then
     source=${PKI_CORE}
-elif [ ${srpm} == "ipa-pki-theme" ]; then
-    source=${IPA_PKI_THEME}
 else
     printf "ERROR:  Invalid <srpm> specified!\n"
 	Usage
diff --git a/specs/dogtag-pki-theme.spec b/specs/dogtag-pki-theme.spec
index 0b4171f..e625b1c 100644
--- a/specs/dogtag-pki-theme.spec
+++ b/specs/dogtag-pki-theme.spec
@@ -1,6 +1,6 @@
 Name:             dogtag-pki-theme
 Version:          10.2.0
-Release:          1%{?dist}
+Release:          2%{?dist}
 Summary:          Certificate System - Dogtag PKI Theme Components
 URL:              http://pki.fedoraproject.org/
 License:          GPLv2
@@ -21,27 +21,11 @@ ExcludeArch:      ppc ppc64 ppcle ppc64le s390 s390x
 %endif
 
 %global overview                                                       \
-Several PKI packages require a "virtual" theme component.  These       \
+Several PKI packages utilize a "virtual" theme component.  These       \
 "virtual" theme components are "Provided" by various theme "flavors"   \
-including "dogtag", "redhat", and "ipa".  Consequently,                \
-all "dogtag", "redhat", and "ipa" theme components MUST be             \
-mutually exclusive!                                                    \
-                                                                       \
-On Fedora systems, the "dogtag" theme packages are the ONLY available  \
-theme components.                                                      \
-                                                                       \
-Similarly, the "ipa" theme packages are ONLY available on RHEL         \
-systems, and represent the default theme components.                   \
-                                                                       \
-Alternatively, on RHEL systems, if the "dogtag" theme packages are     \
-available as EPEL packages, while they may be used as a transparent    \
-replacement for their corresponding "ipa" theme package, they are not  \
-intended to be used as a replacement for their corresponding "redhat"  \
-theme components.                                                      \
-                                                                       \
-Finally, if available for a RHEL system (e. g. - RHCS subscription),   \
-each "redhat" theme package MUST be used as a transparent replacement  \
-for its corresponding "ipa" theme package or "dogtag" theme package.   \
+including "dogtag" or a user customized theme package.  Consequently,  \
+all "dogtag" and any customized theme components MUST be mutually      \
+exclusive!                                                             \
 %{nil}
 
 %description %{overview}
@@ -51,36 +35,6 @@ for its corresponding "ipa" theme package or "dogtag" theme package.   \
 Summary:          Certificate System - PKI Server Framework User Interface
 Group:            System Environment/Base
 
-%if 0%{?rhel}
-# EPEL version of Dogtag "theme" conflicts with all versions of Red Hat "theme"
-Conflicts:        redhat-pki-server-theme
-Conflicts:        redhat-pki-common-theme
-Conflicts:        redhat-pki-common-ui
-Conflicts:        redhat-pki-ca-theme
-Conflicts:        redhat-pki-ca-ui
-Conflicts:        redhat-pki-kra-theme
-Conflicts:        redhat-pki-kra-ui
-Conflicts:        redhat-pki-ocsp-theme
-Conflicts:        redhat-pki-ocsp-ui
-Conflicts:        redhat-pki-tks-theme
-Conflicts:        redhat-pki-tks-ui
-Conflicts:        redhat-pki-ra-theme
-Conflicts:        redhat-pki-ra-ui
-Conflicts:        redhat-pki-tps-theme
-Conflicts:        redhat-pki-tps-ui
-
-# EPEL version of Dogtag "theme" ALWAYS replaces ALL versions of IPA "theme"
-Obsoletes:        ipa-pki-server-theme <= 9999
-Obsoletes:        ipa-pki-common-theme <= 9999
-Obsoletes:        ipa-pki-ca-theme <= 9999
-Obsoletes:        ipa-pki-kra-theme <= 9999
-
-Provides:         ipa-pki-server-theme = %{version}-%{release}
-Provides:         ipa-pki-common-theme = %{version}-%{release}
-Provides:         ipa-pki-ca-theme = %{version}-%{release}
-Provides:         ipa-pki-kra-theme = %{version}-%{release}
-%endif
-
 Obsoletes:        dogtag-pki-common-theme <= %{version}-%{release}
 Obsoletes:        dogtag-pki-common-ui
 Obsoletes:        dogtag-pki-ca-theme <= %{version}-%{release}
@@ -117,10 +71,6 @@ Provides:         dogtag-pki-tks-theme = %{version}-%{release}
 Provides:         pki-tks-theme = %{version}-%{release}
 Provides:         pki-tks-ui = %{version}-%{release}
 
-Provides:         dogtag-pki-ra-theme = %{version}-%{release}
-Provides:         pki-ra-theme = %{version}-%{release}
-Provides:         pki-ra-ui = %{version}-%{release}
-
 Provides:         dogtag-pki-tps-theme = %{version}-%{release}
 Provides:         pki-tps-theme = %{version}-%{release}
 Provides:         pki-tps-ui = %{version}-%{release}
@@ -213,6 +163,12 @@ cd build
 
 
 %changelog
+* Tue Sep  9 2014 Matthew Harmsen <mharmsen@redhat.com> 10.2.0-2
+- PKI TRAC Ticket #1136 - Remove ipa-pki-theme component
+- Remove 'ca-ui', 'kra-ui', 'ocsp-ui', 'ra-ui', 'tks-ui', and 'tps-ui'
+  directories
+- Consolidate 'pki-core' packages
+
 * Wed Sep  3 2014 Dogtag Team <pki-devel@redhat.com> 10.2.0-1
 - Update release number for release build
 
diff --git a/specs/dogtag-pki.spec b/specs/dogtag-pki.spec
index 38a2a99..5e40c03 100644
--- a/specs/dogtag-pki.spec
+++ b/specs/dogtag-pki.spec
@@ -1,7 +1,7 @@
 Summary:          Dogtag Public Key Infrastructure (PKI) Suite
 Name:             dogtag-pki
 Version:          10.2.0
-Release:          2%{?dist}
+Release:          3%{?dist}
 # The entire source code is GPLv2 except for 'pki-tps' which is LGPLv2
 License:          GPLv2 and LGPLv2
 URL:              http://pki.fedoraproject.org/
@@ -17,14 +17,11 @@ ExcludeArch:      ppc ppc64 ppcle ppc64le s390 s390x
 %define esc_version                1.1.0
 %define jss_version                4.2.6-31
 %define pki_core_version           10.2.0
-%define pki_kra_version            10.2.0
-%define pki_ocsp_version           10.2.0
-%define pki_tks_version            10.2.0
-%define pki_tps_version            10.2.0
 %define pki_console_version        10.2.0
 %define tomcatjss_version          7.1.0
 
 Requires:         apache-commons-codec
+Requires:         selinux-policy-base >= 3.11.1-43
 
 # Make certain that this 'meta' package requires the latest version(s)
 # of ALL top-level Dogtag PKI support packages
@@ -43,25 +40,20 @@ Requires:         dogtag-pki-console-theme >= %{dogtag_pki_theme_version}
 # Make certain that this 'meta' package requires the latest version(s)
 # of ALL Dogtag PKI core packages
 Requires:         pki-ca >= %{pki_core_version}
+Requires:         pki-kra >= %{pki_core_version}
+Requires:         pki-ocsp >= %{pki_core_version}
+Requires:         pki-tks >= %{pki_core_version}
+Requires:         pki-tps >= %{pki_core_version}
 Requires:         pki-server >= %{pki_core_version}
 Requires:         pki-tools >= %{pki_core_version}
 Requires:         pki-symkey >= %{pki_core_version}
 Requires:         pki-base >= %{pki_core_version}
 
-Requires:         selinux-policy-base >= 3.11.1-43
-
 # Make certain that this 'meta' package requires the latest version(s)
 # of ALL Dogtag PKI core javadocs
 Requires:         pki-javadoc >= %{pki_core_version}
 
 # Make certain that this 'meta' package requires the latest version(s)
-# of ALL other Dogtag PKI subsystems
-Requires:         pki-kra >= %{pki_kra_version}
-Requires:         pki-ocsp >= %{pki_ocsp_version}
-Requires:         pki-tks >= %{pki_tks_version}
-Requires:         pki-tps >= %{pki_tps_version}
-
-# Make certain that this 'meta' package requires the latest version(s)
 # of Dogtag PKI console
 Requires:         pki-console >= %{pki_console_version}
 
@@ -69,17 +61,6 @@ Requires:         pki-console >= %{pki_console_version}
 # of ALL Dogtag PKI clients
 Requires:         esc >= %{esc_version}
 
-# NOTE:  As a convenience for standalone deployments, this 'dogtag-pki'
-#        top-level meta package supplies Dogtag themes for use by the
-#        certificate server packages:
-#
-#          * dogtag-pki-theme (Dogtag Certificate System deployments)
-#            * dogtag-pki-server-theme
-#            * dogtag-pki-console-theme
-#
-Obsoletes:        ipa-pki
-Conflicts:        redhat-pki
-
 %description
 The Dogtag Public Key Infrastructure (PKI) Suite is comprised of the following
 five subsystems and a client (for use by a Token Management System):
@@ -103,6 +84,14 @@ To meet the database storage requirements of each CA, DRM, OCSP, TKS, or TPS
 instance, a 389 Directory Server must be up and running either locally on
 this machine, or remotely over the attached network connection.
 
+NOTE:  As a convenience for standalone deployments, this 'dogtag-pki'
+       top-level meta package supplies Dogtag themes for use by the
+       certificate server packages:
+
+         * dogtag-pki-theme (Dogtag Certificate System deployments)
+           * dogtag-pki-server-theme
+           * dogtag-pki-console-theme
+
 %prep
 cat > README <<EOF
 This package is just a "meta-package" whose dependencies pull in all of the
@@ -117,6 +106,12 @@ rm -rf %{buildroot}
 %doc README
 
 %changelog
+* Tue Sep  9 2014 Matthew Harmsen <mharmsen@redhat.com> 10.2.0-3
+- PKI TRAC Ticket #1136 - Remove ipa-pki-theme component
+- Remove 'ca-ui', 'kra-ui', 'ocsp-ui', 'ra-ui', 'tks-ui', and 'tps-ui'
+  directories
+- Consolidate 'pki-core' packages
+
 * Sun Sep  7 2014 Dogtag Team <pki-devel@redhat.com> 10.2.0-2
 - Updated release number for release build
 - Revised dependencies
